MSWParserInternal::State Struct Reference

Internal: the state of a MSWParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

long | m_bot
| the begin of the text More...
long | m_eot
| end of the text More...
bool | m_endNote
| a flag to know if we must place the note at the end or in the foot part More...
std::map< long, Picture > | m_picturesMap
| the map filePos -> Picture More...
std::vector< Object > | m_objectList [2]
| the list of object ( mainZone, other zone) More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...
std::vector< int > | m_headersId
| the list of header id which corresponds to each page More...
std::vector< int > | m_footersId
| the list of footer id which corresponds to each page More...

## Detailed Description

Internal: the state of a MSWParser.

## Constructor & Destructor Documentation

MSWParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int MSWParserInternal::State::m_actPage

the actual page

long MSWParserInternal::State::m_bot

the begin of the text

bool MSWParserInternal::State::m_endNote

a flag to know if we must place the note at the end or in the foot part

long MSWParserInternal::State::m_eot

end of the text

int MSWParserInternal::State::m_footerHeight

the footer height if known

std::vector<int> MSWParserInternal::State::m_footersId

the list of footer id which corresponds to each page

int MSWParserInternal::State::m_headerHeight

the header height if known

std::vector<int> MSWParserInternal::State::m_headersId

the list of header id which corresponds to each page

int MSWParserInternal::State::m_numPages

the number of page of the final document

std::vector<Object> MSWParserInternal::State::m_objectList[2]

the list of object ( mainZone, other zone)

std::map<long, Picture> MSWParserInternal::State::m_picturesMap

the map filePos -> Picture

The documentation for this struct was generated from the following file:

- MSWParser.cxx